:root {
    --link-color: #0c78eb;
    --link-color-hover: #0a56c9;
    --link-color-focus: #0834a7;
    --link-color-visited: var(--link-color);

    --text: #000;
    --background: #fafafa;
    --project-background: #f2f2f2;
}


body {
    margin: 0;
    font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
    line-height: 2em;
    color: var(--text);
    background-color: var(--background);
}
 
h1, h2, h3, h4, h5, h6 {
    font-weight: bold;
}

main {
    margin: 60px 0;
    padding: 0 20vw;
}


a {
    color: var(--link-color);
    text-decoration: none;
    cursor: pointer;
}

a:visited {
    color: var(--link-color-visited);
}

a:hover {
    color: var(--link-color-hover);
}

a:focus {
    color: var(--link-color-focus);
}

.italic {
    font-style: italic;
}

.projects {
    display: flex;
    --padding: 30px;
    gap: var(--padding);
    flex-direction: column;
}

.project {
    background-color: var(--project-background);
    padding: var(--padding);
    border-radius: var(--padding);
    min-width: 60vw;
}

.project h3 {
    margin: 0;
}
